• KDE desktop messed up after last system update


    Hi everyone,
    I have updated my system yesterday via usual sudo pacman -Syu command. Today I was surprised by totally desktop messed up desktop. I used dark breeze theme with breeze icons and dark colors. Now the desktop is weird state. The panel is dark but rest of the windows seems to follow the Breeze light theme. All icons are set to Adwaita ?!. When I try to re-apply the dark theme it would always apply just to panel.

    Also all my desktop customizations (fonts, custom shortcuts) are gone. Only desktop icons and some panel settings were preserved.

    Dolphin and all other apps just do not follow these settings, they always start with Adwaita icons light theme (but dark top bar like with Breeze dark).

    This is my pacman update log from yesterday. I thought antergos-common-meta might have caused it so I rolled back to 1.4-2 but it did not help. :

    [2019-03-29 21:44] [ALPM] transaction started
    [2019-03-29 21:44] [ALPM] upgraded tzdata (2018i-1 -> 2019a-1)
    [2019-03-29 21:44] [ALPM] upgraded iana-etc (20190228-1 -> 20190312-1)
    [2019-03-29 21:44] [ALPM] upgraded libglvnd (1.1.0-1 -> 1.1.1-1)
    [2019-03-29 21:44] [ALPM] installed qt5ct (0.38-1)
    [2019-03-29 21:44] [ALPM] upgraded giflib (5.1.4-2 -> 5.1.8-1)
    [2019-03-29 21:44] [ALPM] upgraded curl (7.64.0-9 -> 7.64.1-2)
    [2019-03-29 21:44] [ALPM] upgraded python (3.7.2-3 -> 3.7.3-1)
    [2019-03-29 21:44] [ALPM] upgraded antergos-common-meta (1.4-2 -> 1.5-1)
    [2019-03-29 21:44] [ALPM] upgraded cabextract (1.9-1 -> 1.9.1-1)
    [2019-03-29 21:44] [ALPM] upgraded cmake (3.14.0-1 -> 3.14.1-1)
    [2019-03-29 21:44] [ALPM] upgraded faudio (19.02-1 -> 19.03-1)
    [2019-03-29 21:44] [ALPM] upgraded firefox (66.0.1-1 -> 66.0.2-1)
    [2019-03-29 21:44] [ALPM] upgraded libxmlb (0.1.7-2 -> 0.1.8-1)
    [2019-03-29 21:44] [ALPM] upgraded gnupg (2.2.14-1 -> 2.2.15-1)
    [2019-03-29 21:44] [ALPM] upgraded gpgme (1.12.0-2 -> 1.13.0-1)
    [2019-03-29 21:44] [ALPM] upgraded fwupd (1.2.5-1 -> 1.2.6-1)
    [2019-03-29 21:44] [ALPM] upgraded gnome-bluetooth (3.32.0-1 -> 3.32.1-1)
    [2019-03-29 21:44] [ALPM] upgraded intel-ucode (20180807.a-1 -> 20190312-1)
    [2019-03-29 21:44] [ALPM] upgraded kcmutils (5.56.0-1 -> 5.56.0-2)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libssh2 (1.8.1-1 -> 1.8.2-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-curl (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libglvnd (1.1.0-1 -> 1.1.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-faudio (19.02-1 -> 19.03-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-giflib (5.1.4-2 -> 5.1.8-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libcups (2.2.10-1 -> 2.2.11-1)
    [2019-03-29 21:44] [ALPM] upgraded libcurl-compat (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libcurl-compat (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded libcurl-gnutls (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libcurl-gnutls (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded libgdiplus (5.6-1 -> 5.6.1-1)
    [2019-03-29 21:44] [ALPM] upgraded libmagick6 (6.9.10.27-1 -> 6.9.10.35-1)
    [2019-03-29 21:44] [ALPM] upgraded libwbclient (4.10.0-2 -> 4.10.0-3)
    [2019-03-29 21:44] [ALPM] upgraded nodejs (11.12.0-1 -> 11.13.0-1)
    :
    [2019-03-29 21:44] [ALPM] transaction started
    [2019-03-29 21:44] [ALPM] upgraded tzdata (2018i-1 -> 2019a-1)
    [2019-03-29 21:44] [ALPM] upgraded iana-etc (20190228-1 -> 20190312-1)
    [2019-03-29 21:44] [ALPM] upgraded libglvnd (1.1.0-1 -> 1.1.1-1)
    [2019-03-29 21:44] [ALPM] installed qt5ct (0.38-1)
    [2019-03-29 21:44] [ALPM] upgraded giflib (5.1.4-2 -> 5.1.8-1)
    [2019-03-29 21:44] [ALPM] upgraded curl (7.64.0-9 -> 7.64.1-2)
    [2019-03-29 21:44] [ALPM] upgraded python (3.7.2-3 -> 3.7.3-1)
    [2019-03-29 21:44] [ALPM] upgraded antergos-common-meta (1.4-2 -> 1.5-1)
    [2019-03-29 21:44] [ALPM] upgraded cabextract (1.9-1 -> 1.9.1-1)
    [2019-03-29 21:44] [ALPM] upgraded cmake (3.14.0-1 -> 3.14.1-1)
    [2019-03-29 21:44] [ALPM] upgraded faudio (19.02-1 -> 19.03-1)
    [2019-03-29 21:44] [ALPM] upgraded firefox (66.0.1-1 -> 66.0.2-1)
    [2019-03-29 21:44] [ALPM] upgraded libxmlb (0.1.7-2 -> 0.1.8-1)
    [2019-03-29 21:44] [ALPM] upgraded gnupg (2.2.14-1 -> 2.2.15-1)
    [2019-03-29 21:44] [ALPM] upgraded gpgme (1.12.0-2 -> 1.13.0-1)
    [2019-03-29 21:44] [ALPM] upgraded fwupd (1.2.5-1 -> 1.2.6-1)
    [2019-03-29 21:44] [ALPM] upgraded gnome-bluetooth (3.32.0-1 -> 3.32.1-1)
    [2019-03-29 21:44] [ALPM] upgraded intel-ucode (20180807.a-1 -> 20190312-1)
    [2019-03-29 21:44] [ALPM] upgraded kcmutils (5.56.0-1 -> 5.56.0-2)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libssh2 (1.8.1-1 -> 1.8.2-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-curl (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libglvnd (1.1.0-1 -> 1.1.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-faudio (19.02-1 -> 19.03-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-giflib (5.1.4-2 -> 5.1.8-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libcups (2.2.10-1 -> 2.2.11-1)
    [2019-03-29 21:44] [ALPM] upgraded libcurl-compat (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libcurl-compat (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded libcurl-gnutls (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded lib32-libcurl-gnutls (7.64.0-2 -> 7.64.1-1)
    [2019-03-29 21:44] [ALPM] upgraded libgdiplus (5.6-1 -> 5.6.1-1)
    [2019-03-29 21:44] [ALPM] upgraded libmagick6 (6.9.10.27-1 -> 6.9.10.35-1)
    [2019-03-29 21:44] [ALPM] upgraded libwbclient (4.10.0-2 -> 4.10.0-3)
    [2019-03-29 21:44] [ALPM] upgraded nodejs (11.12.0-1 -> 11.13.0-1)
    [2019-03-29 21:44] [ALPM] upgraded perl-libwww (6.37-1 -> 6.38-1)
    [2019-03-29 21:44] [ALPM] upgraded python-lxml (4.3.2-1 -> 4.3.3-1)
    [2019-03-29 21:44] [ALPM] upgraded python-soupsieve (1.8.0-1 -> 1.9.0-1)
    [2019-03-29 21:44] [ALPM] upgraded qgpgme (1.12.0-2 -> 1.13.0-1)
    [2019-03-29 21:44] [ALPM] upgraded smbclient (4.10.0-2 -> 4.10.0-3)
    [2019-03-29 21:44] [ALPM] transaction completed
    [2019-03-29 21:44] [ALPM] running 'antergos-reboot.hook'...
    [2019-03-29 21:44] [ALPM] running 'detect-old-perl-modules.hook'...
    [2019-03-29 21:44] [ALPM] running 'gtk-update-icon-cache.hook'...
    [2019-03-29 21:44] [ALPM] running 'systemd-daemon-reload.hook'...
    [2019-03-29 21:44] [ALPM] running 'systemd-udev-reload.hook'...
    [2019-03-29 21:44] [ALPM] running 'systemd-update.hook'...
    [2019-03-29 21:44] [ALPM] running 'texinfo-install.hook'...
    [2019-03-29 21:44] [ALPM] running 'update-desktop-database.hook'...
    [2019-03-29 21:44] [ALPM] running 'update-mime-database.hook'...
    [2019-03-29 21:48] [PACKAGEKIT] synchronizing package lists
    [2019-03-29 21:51] [PACKAGEKIT] synchronizing package lists
    [2019-03-29 21:56] [PACKAGEKIT] synchronizing package lists
    [2019-03-29 21:56] [PACKAGEKIT] synchronizing package lists
    [2019-03-29 22:00] [PACKAGEKIT] synchronizing package lists
    

    Here is my Plasma and system version:

    Operating System: Antergos Linux
    KDE Plasma Version: 5.15.3
    KDE Frameworks Version: 5.56.0
    Qt Version: 5.12.2
    Kernel Version: 5.0.4-arch1-1-ARCH
    OS Type: 64-bit

    Any advice how to fix this?

  • There was a kernel update version 5.0.5 today. See if that make any difference. On the second thought, go to system settings, application style, Gnome/GTK Application style, and change the GTK Themes to Breeze, and see if that make any difference? (Mine is set on Breeze on cursor theme, icon theme, Font Noto Sans 10) I also have installed Linux LTS kernels on my system for back up. It becomes handy if there is a kernel panic on an updated kernel. That way you can boot from LTS kernel without any problem. I have switched from KDE neon to Antergos KDE since last December on three computers, and have had no major issues so far.

  • Also one thing I forgot to mention is have you tried changing the theme to Breeze for example?

  • @fhins Yes I have set Breeze theme everywhere, in the Plasma theme and also in the GTK Application settings. When I set Breeze for GTK applications, then the GTK apps actually follow this theme, but native KDE apps don’t. All my native apps and settings are keeping either light Breeze theme or some strange hybrid (see attached screens). Also the icons of KDE apps are set to Adwaita or Numix although I did not set this icon theme anywhere. weird-dolphin.png screen-weird-breeze-dark.png

    Changing theme to Breeze back and forth is first thing I have tried (I should have mentioned in the original post more clearly, sorry for that). Anyway, I will try to revert some other package updates and maybe rollback the kernel as well. I am just worried I will mess up the plasma but worst case I can update everything to the newest version. As you can see on the screen, the Dolphin looks really strange.

  • Ok it seems the issue was resolved, not sure why, but it seems I have installed qt5ct. After last update things got messed up.

    Following this thread https://www.reddit.com/r/kde/comments/752vaf/cant_change_icon_theme_in_antergos/ and removing qt5ct helped to resolve the problem. I had exactly the same issue, was stuck with Numix theme. Not the Breeze is working like a breeze.

    I ran:

    sudo pacman -R qt5ct
    

    And set the QT_QPA_PLATFORMTHEME system variable to nothing:

    export QT_QPA_PLATFORMTHEME=
    
  • @ayhomaru I have same troubles and I can’t remove qt5ct package, it required by antergos-common-meta package.

  • Just uninstall meta package first… Or remove qt5ct settings under ~.config /qt5ct

  • @joekamprad I removed meta package and qt5ct and it helped. But isn’t meta package was there for reason? Will its absence cause any problems in future?

  • Yes, it can cause problem if you uninstall needed system packages… As meta packages are nothing more then a bunch of dependencies… I would say in this case it was causing a problem to have it installed…

  • @joekamprad thanks for help!

kde206 system143 messed6 Posts 11Views 270
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.